import { LOG_TYPE, RES_TYPE } from './constants';
export declare type InputStrOrNumber = string | number | (() => string | number);
export interface MonitorOptions {
    appId: string;
    uid: InputStrOrNumber;
    ver: InputStrOrNumber;
    reportUrl: string;
    ignoreScriptError?: boolean;
    debug?: boolean;
    limit?: number;
    reportInterver?: number;
}
export interface LogBaseInfo {
    appId: string;
    uid: string | number;
    frontTime: number;
    ver: string | number;
    sdkVer: string;
    url: string;
    net: string;
    scrW: number;
    scrH: number;
}
export interface JsErrorLog {
    logType: LOG_TYPE.JSERROR;
    j_msg: string;
    j_file: string;
    j_line: number | string;
    j_col: number | string;
    j_stack: string;
}
export interface APILog {
    logType: LOG_TYPE.API;
    a_method: string;
    a_url: string;
    a_reqData: string;
    a_reqHeaders: string;
    a_success: boolean;
    a_status: number;
    a_rt: number;
    a_resHeaders: string;
    a_resBody: string;
}
export interface PerformanceLog {
    logType: LOG_TYPE.PERFORMANCE;
}
export interface ResLoadFailLog {
    logType: LOG_TYPE.RESLOADFAIL;
    s_type: RES_TYPE;
    s_href: string;
}
export interface PvLog {
    logType: LOG_TYPE.PV;
    p_path: string;
}
export declare type Log = JsErrorLog | APILog | PerformanceLog | ResLoadFailLog | PvLog;
